PPPDUMP(8)

NAME
pppdump - convert PPP record file to readable format

SYNOPSIS
pppdump [ -h | -p [ -d ]] [ -r ] [ -a ] [ -m mru ] [ file ... ]

DESCRIPTION
The pppdump utility converts the files written using the record option of pppd into a human-readable format. If one or more filenames are specified, pppdump will read each in turn; otherwise it will read its standard input. In each case the result is written to standard output.

The options are as follows:

-h  Prints the bytes sent and received in hexadecimal. If neither this option nor the -p option is specified, the bytes are printed as the characters themselves, with non-printing and non-ASCII characters printed as escape sequences.

-p  Collects the bytes sent and received into PPP packets, interpreting the async HDLC framing and escape characters and checking the FCS (frame check sequence) of each packet. The packets are printed as hex values and as characters (non-printable characters are printed as `.').

-d  With the -p option, this option causes pppdump to decompress packets which have been compressed with the BSD-Compress or Deflate methods.

-r  Reverses the direction indicators, so that `sent' is printed for bytes or packets received, and `rcvd' is printed for bytes or packets sent.

-a  Prints absolute times.

-m mru
    Use mru as the MRU (maximum receive unit) for both directions of the link when checking for over-length PPP packets (with the -p option).

SEE ALSO
pppd(8)